#pragma once

/*#include <math.h>
#include <float.h>
#include <Windows.h>*/

struct COMPLEX
{
	double A;

	double NRe;
	double NIm;
};

void ComplexInit(COMPLEX* Dst, double Re, double Im);
void ComplexRandom(COMPLEX* Dst, double MinRe, double MaxRe, double MinIm, double MaxIm);
double ComplexRe(COMPLEX* z);
double ComplexIm(COMPLEX* z);
void ComplexAdd(COMPLEX* Dst, COMPLEX* A, COMPLEX* B);
void ComplexSub(COMPLEX* Dst, COMPLEX* Minuent, COMPLEX* Subtrahend);
void ComplexMul(COMPLEX* Dst, COMPLEX* A, COMPLEX* B);
void ComplexDiv(COMPLEX* Dst, COMPLEX* Num, COMPLEX* Denom);
void ComplexIntPow(COMPLEX* Dst, COMPLEX* Base, unsigned int Exponent);