#pragma once

typedef struct tagPOLY_POINT
{
	COMPLEX x;
	COMPLEX y;
} POLY_POINT;

void MatrixFromPoints(POLY_POINT Points[], unsigned int NumOfPoints, COMPLEX Matrix[], unsigned int MatrixSize, COMPLEX b[]);
void MatrixToPointers(COMPLEX Matrix[], unsigned int Size, COMPLEX* Pointers[]);
double CalcDelta(COMPLEX Vec1[], COMPLEX Vec2[], unsigned int Size);
void Relax(COMPLEX* Pointers[], COMPLEX b[], unsigned int Size, double Epsilon, COMPLEX Result[], COMPLEX Prev[]);
void CalcPoly(COMPLEX Poly[], unsigned int Size, COMPLEX* z, COMPLEX* Result);